#!/bin/sh
# Telnet.sh (Ext3)
# Mounting of Ext3 disks in Samsung series B TVs
# Olivia D, sorcerer1, openinkev2, adygt
mount ./usb_mount /mtd_boot/usb_mount
# In case there are a ext3 already plugged, change type to vfat and change name twice 
# to get it recognized without unplugging and plugging
Ext3Disk=`cat /dtv/usb/log |grep ext3`
if [ ! "$Ext3Disk" == "" ] 
then 
	# substitute ext3 for vfat
	sed -i 's/ext3/vfat/g' /dtv/usb/log 
	# substitute sda/sdb for sdc/sdd (if disk is not like sda/sdb, this should be changed)
	sed -i 's/sda/sdc/g' /dtv/usb/log 
	sed -i 's/sda/sdc/g' /dtv/usb/log 
	sleep 2 #during this time disk is recognized by media player but cannot be played
	sed -i 's/sdc/sda/g' /dtv/usb/log 
	sed -i 's/sdd/sdb/g' /dtv/usb/log 
fi
exit 0
